package com.ningdatech.pmapi.meta.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.meta.model.entity.ExpertTag;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
public interface IExpertTagService extends IService<ExpertTag> {

    default void removeByUserId(Long userId) {
        remove(Wrappers.lambdaQuery(ExpertTag.class).eq(ExpertTag::getUserId, userId));
    }

}
