package com.ningdatech.pmapi.dashboard.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.pmapi.dashboard.mapper.CockpitStatsMapper;
import com.ningdatech.pmapi.dashboard.model.entity.CockpitStats;
import com.ningdatech.pmapi.dashboard.model.po.SecrecyPasswordGradePO;
import com.ningdatech.pmapi.dashboard.service.ICockpitStatsService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zpf
 * @since 2023-02-05
 */
@Service
@RequiredArgsConstructor
public class CockpitStatsServiceImpl extends ServiceImpl<CockpitStatsMapper, CockpitStats>
        implements ICockpitStatsService {

    private final CockpitStatsMapper cockpitStatsMapper;

    @Override
    public SecrecyPasswordGradePO getSecrecyPasswordGrade(String regionCode, Integer year) {
        return cockpitStatsMapper.getSecrecyPasswordGrade(regionCode,year);
    }
}
