package com.ningdatech.pmapi.portrait.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.portrait.model.entity.ProjectTag;
import com.ningdatech.pmapi.portrait.model.entity.Tag;

import java.util.List;

/**
 * @Classname ITagService
 * @Description
 * @Date 2023/8/2 10:47
 * @Author PoffyZhang
 */
public interface IProjectTagService extends IService<ProjectTag> {
    /**
     * 获取项目 标签
     * @param projectCode
     * @return
     */
    List<Tag> getProjectTas(String projectCode);
}
